Jump to content
  • 0

Garem
 Share

Question

Bom pessoal, Estou tentando recompilar essa base (Link abaixo) , estou tendo muita dificuldade para compilar , estou usando o DEV C++ 5.11.

 

A parte das bibliotecas me pegou muito no inicio , mas já estou familiarizado agora com a inclusão das mesmas, o grande porem é que toda compilação da diversos erros e isso dentro das bibliotecas , Alguns erros são:

 

Variáveis não declaradas, Variáveis declaradas de forma incorreta , entre outros.

 

A duvida aqui é será que esses erros ocorrem devido as versões das Libs em que o TFS foi compilado ? Caso sim , como eu saberia em quais versões devo compilar ?

 

Link da base (

 

Link to comment
Share on other sites

1 answer to this question

Recommended Posts

  • 0

salve man, blz?
entao, essa semana mesmo estava aprendendo sobre, pq tive esses erros..
sim, as versoes das libs contam para a compilacao.. vou conta oq eu passei e oq eu tbm to buscando:

tenho um projeto em tfs1.2, onde compilo ele em ubuntu 22 para rodar.. um amigo me passou um projeto esses dias de um servidor que alem de ser tfs1.2 tbm tinha sido projetado na mesma distro, mas o dev editou bastante as sources e rodava em um ubuntu18.
ao tentar compilar nao ia de jeito tenhum, reinstalei libs, vi se tinha faltando e nada ia.. ai tentei compilar no ubuntu 18, instalando simplesmente as mesmas libs, e foi de primeira, sem erros.
ai oq eu to buscando agora aprender é, como eu posso ter um backup dessas libs do ubuntu 18 por exemplo, pra jogar pro ubuntu22, visto que quero manter o sistema atualizado e pode ser que daqui um tempo nao tenha mais ubuntu18 nas vps qndo acabar o suporte.

deixo aqui tambem meu apelo a quem souber como "guardar" essas libs pra manter junto com o projeto.
ja pesquisei bastante e nem o gpt soube me orientar como fazer esse backup de libs corretamente.

tmj
discord: @nicosinistro

Link to comment
Share on other sites

 Share

×
×
  • Create New...